Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.protocol.sync
Class SendingRenewal

    java.lang.Object
      org.teleal.cling.protocol.SendingAsync
          org.teleal.cling.protocol.SendingSync<OutgoingRenewalRequestMessage,IncomingSubscribeResponseMessage>
              org.teleal.cling.protocol.sync.SendingRenewal

All Implemented Interfaces:
  Runnable

    public class SendingRenewal

extends SendingSync<OutgoingRenewalRequestMessage,IncomingSubscribeResponseMessage>

Field Summary
`protected static Logger` | `log`
`protected RemoteGENASubscription` | `subscription`

Fields inherited from class org.teleal.cling.protocol.SendingSync
`outputMessage`

Constructor Summary
`SendingRenewal(UpnpService upnpService, RemoteGENASubscription subscription)`

Method Summary
`protected IncomingSubscribeResponseMessage` | `executeSync()`

Methods inherited from class org.teleal.cling.protocol.SendingSync
`execute, getInputMessage, getOutputMessage, setInputMessage, toString`

Methods inherited from class org.teleal.cling.protocol.SendingAsync
`getDestinationAddress, getDestinationPort, getUpnpService, run`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### log

    protected static Logger log

### subscription

    protected final RemoteGENASubscription subscription

Constructor Detail

### SendingRenewal

    public SendingRenewal(UpnpService upnpService,
                          RemoteGENASubscription subscription)

Method Detail

### executeSync

    protected IncomingSubscribeResponseMessage executeSync()

  Specified by:
    `executeSync` in class `SendingSync<OutgoingRenewalRequestMessage,IncomingSubscribeResponseMessage>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.